#!/bin/bash


mkdir -p handbook
touch ./handbook/index.html

if [ ! -f ./handbook/cmunrm.otf ]; then
	cd handbook
	wget http://mirrors.concertpass.com/tex-archive/fonts/cm-unicode/fonts/otf/cmunrm.otf
	base64 cmunrm.otf > cmunrm.txt
	cd ..
fi

TMP_HTML="$(realpath ./handbook/index.html)"
HTML="html/index.html"
LAYOUT_PDF="handbook/layout.pdf"

BODY_VAR="{{BODY_HTML}}"
TMPL_HTML=`cat tmpl/layout.html.tmpl`
BODY_CONTENT=`cat "${HTML}"`
FONT=`cat handbook/cmunrm.txt | tr -d '\n'`

BODY_CONTENT="${BODY_CONTENT//.svg/.jpg}"
ALL_HTML="${TMPL_HTML/$BODY_VAR/$BODY_CONTENT}"
ALL_HTML="${ALL_HTML/REPLACEFONT/$FONT}"
echo "${ALL_HTML}" > "${TMP_HTML}"

chromium-browser \
	--headless \
	--no-sandbox \
	--disable-gpu \
	--run-all-compositor-stages-before-draw \
	--print-to-pdf-no-header \
	--no-margins \
	--print-to-pdf="${LAYOUT_PDF}" \
	"${TMP_HTML}"

cd handbook

#convert -density 600 "../${LAYOUT_PDF}" -quality 90 page-%3d.jpg
#pdftoppm "../${LAYOUT_PDF}" page -jpeg -rx 600 -ry 600

cd ..
#rm -f "${TMP_HTML}"
#rm -f "${LAYOUT_PDF}"